import type { AgentContext, DidCreateOptions, DidCreateResult, DidDeactivateOptions, DidDeactivateResult, DidRegistrar, DidUpdateOptions, DidUpdateResult, Buffer } from '@credo-ts/core';
import { DidDocument } from '@credo-ts/core';
export declare class PolygonDidRegistrar implements DidRegistrar {
    readonly supportedMethods: string[];
    private resolver;
    create(agentContext: AgentContext, options: PolygonDidCreateOptions): Promise<DidCreateResult>;
    update(agentContext: AgentContext, options: PolygonDidUpdateOptions): Promise<DidUpdateResult>;
    deactivate(agentContext: AgentContext, options: DidDeactivateOptions): Promise<DidDeactivateResult>;
    private getSigningKey;
    private getPublicKeyFromDid;
}
export interface PolygonDidCreateOptions extends DidCreateOptions {
    method: 'polygon';
    did?: never;
    options: {
        network: 'mainnet' | 'testnet';
        endpoint?: string;
    };
    secret: {
        privateKey: Buffer;
    };
}
export interface PolygonDidUpdateOptions extends DidUpdateOptions {
    method: 'polygon';
    did: string;
    didDocument: DidDocument;
    secret?: {
        privateKey: Buffer;
    };
}
